Package com.sun.jna.platform.unix

# Class LibCAPI.size_t.ByReference

java.lang.Object
com.sun.jna.PointerType
com.sun.jna.ptr.ByReference
com.sun.jna.platform.unix.LibCAPI.size_t.ByReference

All Implemented Interfaces:
  `NativeMapped`

Enclosing class:
  LibCAPI.size_t

public static class LibCAPI.size_t.ByReference extends ByReference

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ByReference()`
  `ByReference(long value)`
  `ByReference(LibCAPI.size_t value)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `LibCAPI.size_t`
  `getValue()`
  `long`
  `longValue()`
  `void`
  `setValue(long value)`
  `void`
  `setValue(LibCAPI.size_t value)`

  ### Methods inherited from class com.sun.jna.ptr.ByReference

  `toString`

  ### Methods inherited from class com.sun.jna.PointerType

  `equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ByReference

    public ByReference()

  - ### ByReference

    public ByReference(long value)

  - ### ByReference

    public ByReference(LibCAPI.size_t value)

- ## Method Details

  - ### setValue

    public void setValue(long value)

  - ### setValue

    public void setValue(LibCAPI.size_t value)

  - ### longValue

    public long longValue()

  - ### getValue

    public LibCAPI.size_t getValue()